# frozen_string_literal: true

require "csv"

module MrCommon
  module PreRegistrations
    # Implements PreRegistration import for the admin panel. Expects the user to
    # upload a CSV file with a header line and columns ordered like:
    #   first_name, last_name, email
    class ImportController < BaseController
      def new
      end

      def create
        csv = import_params[:csv_file]
        importer = MrCommon::PreRegistrationImporter.new(csv.read)
        result = importer.import
        redirect_to new_pre_registrations_import_path, notice: "Imported #{result.created} and skipped #{result.skipped} duplicate or invalid entries."
      end

      def import_params
        params.require(:import).permit(:csv_file)
      end
    end
  end
end
