# frozen_string_literal: true

module MrCommon
  module Registrations
    class ResendNotificationsController < BaseController
      def create
        find_registration
        send_notification
        redirect_to @registration, notice: "Notification sent."
      end

      private

        def find_registration
          @registration = MrCommon::Registration.find(params[:registration_id])
        end

        def send_notification
          if @registration.confirmed?
            MrCommon::RegistrationMailer.confirmed_registration(@registration.id).deliver_now
          else
            MrCommon::RegistrationMailer.unconfirmed_registration(@registration.id).deliver_now
          end
        end
    end
  end
end
