# frozen_string_literal: true

module MrCommon
  module Reminders
    class DownloadsController < BaseController
      skip_before_action MrCommon.authentication_method_name if MrCommon.authentication_method_name.present?
      skip_before_action :authorize_user if MrCommon.current_user_authorization_method_name.present?

      def show
        @reminder = Reminder.find_by(slug: params[:id])

        if @reminder.nil?
          render_not_found
        else
          send_data @reminder.to_ical,
                    disposition: "attachment; filename=#{ics_filename}",
                    content_type: "text/calendar"
        end
      end

      private

        def ics_filename
          "#{@reminder.slug}.ics"
        end
    end
  end
end
