# frozen_string_literal: true

module MrCommon
  class RegistrationMailer < ApplicationMailer
    def unconfirmed_registration(registration_id)
      @registration = Registration.find(registration_id)
      mail(to: @registration.email, subject: MrCommon.registration_unconfirmed_subject)
    end

    def confirmed_registration(registration_id)
      @registration = Registration.find(registration_id)
      @reminders = Reminder.for_confirmed_notice
      mail(to: @registration.email, subject: MrCommon.registration_confirmed_subject)
    end

    def revoked_registration(registration_id)
      @registration = Registration.find(registration_id)
      mail(to: @registration.email, subject: MrCommon.registration_revoked_subject)
    end
  end
end
