# frozen_string_literal: true

module MrCommon
  module CSVExportable
    extend ActiveSupport::Concern

    class_methods do
      def as_csv(scope: :all, fields: nil, decorator: nil)
        CSVRenderer.new(
          collection: self.send(scope),
          fields: fields || self.column_names,
          decorator: decorator
        ).render
      end
    end
  end
end
