# frozen_string_literal: true

module MrCommon
  # Common regex patterns
  class Pattern
    class << self
      # Matches valid email addresses. Ensures that the @ symbol is
      # preceded by something resembling a username and followed by something
      # resembling a domain name.
      def email
        /\A\S+@\S+\.\S+\z/
      end

      # Matches most phone numbers a person could enter. Tests for at least 7 of
      # the characters that can appear in a phone number.
      def phone_number
        /[\d()\\x+\- ]{7,}/
      end
    end
  end
end
