MrCommon::Engine.routes.draw do
  root to: 'dashboard#index'

  namespace :reminders do
    resources :downloads
  end
  resources :reminders, module: :reminders

  namespace :registrations do
    resources :public, only: [:new, :create]
    resources :export, only: :index
    resources :success, only: :index
  end
  resources :registrations, module: :registrations do
    resource :confirmation, only: [:create, :destroy]
    resource :resend_notification, only: :create
  end

  if MrCommon.registration_confirmation_strategy == :pre_register
    resources :pre_registrations, module: :pre_registrations
    namespace :pre_registrations do
      resources :import, only: [:new, :create]
    end
  end
end
