class CreateReminders < ActiveRecord::Migration[5.2]
  def change
    create_table :mr_common_reminders do |t|
      t.datetime "start_time", null: false
      t.datetime "end_time", null: false
      t.string "location", default: "", null: false
      t.string "summary", default: "", null: false
      t.text "description", default: "", null: false
      t.string "slug", default: "", null: false
      t.boolean "all_day", default: false, null: false
      t.string "time_zone", default: 'Etc/UTC', null: false
      t.timestamps
      t.index ["slug"], name: "index_reminders_on_slug", unique: true
    end
  end
end
