# frozen_string_literal: true

module MrCommon
  class AdminGenerator < Rails::Generators::Base
    source_root File.expand_path(MrCommon::Engine.root)

    def copy_skeleton_views
      template_paths.each do |file|
        copy_file file, file
      end
    end

    private

      def template_paths
        %w(
          app/controllers/mr_common/registrations/registrations_controller.rb
          app/views/mr_common/registrations/registrations/_form.html.erb
          app/views/mr_common/registrations/registrations/edit.html.erb
          app/views/mr_common/registrations/registrations/index.html.erb
          app/views/mr_common/registrations/registrations/new.html.erb
          app/views/mr_common/registrations/registrations/show.html.erb
        )
      end
  end
end
