# frozen_string_literal: true

module MrCommon
  class ControllersGenerator < Rails::Generators::Base
    source_root File.expand_path(MrCommon::Engine.root)

    def copy_skeleton_views
      template_paths.each do |file|
        copy_file file, file
      end
    end

    private

      def template_paths
        %w(
          app/controllers/mr_common/registrations/public_controller.rb
          app/controllers/mr_common/registrations/success_controller.rb
        )
      end
  end
end
