# frozen_string_literal: true

module MrCommon
  class CsvGenerator < Rails::Generators::Base
    source_root File.expand_path(MrCommon::Engine.root)

    def copy_skeleton_views
      template_paths.each do |file|
        copy_file file, file
      end
    end

    private

      def template_paths
        %w(
          app/controllers/mr_common/registrations/export_controller.rb
          app/models/mr_common/csv_renderer.rb
          app/models/mr_common/registration_decorator.rb
        )
      end
  end
end
