# frozen_string_literal: true

module MrCommon
  class MailersGenerator < Rails::Generators::Base
    source_root File.expand_path(MrCommon::Engine.root)

    def copy_skeleton_views
      template_paths.each do |file|
        copy_file file, file
      end
    end

    private

      def template_paths
        %w(
          app/mailers/mr_common/registration_mailer.rb
          app/views/mr_common/registration_mailer/unconfirmed_registration.html.erb
          app/views/mr_common/registration_mailer/unconfirmed_registration.text.erb
          app/views/mr_common/registration_mailer/confirmed_registration.html.erb
          app/views/mr_common/registration_mailer/confirmed_registration.text.erb
          app/views/mr_common/registration_mailer/revoked_registration.html.erb
          app/views/mr_common/registration_mailer/revoked_registration.text.erb
          app/views/mr_common/registration_mailer/_html_reminders.html.erb
          app/views/mr_common/registration_mailer/_text_reminders.text.erb
        )
      end
  end
end
