# frozen_string_literal: true

module MrCommon
  class ViewsGenerator < Rails::Generators::Base
    source_root File.expand_path(MrCommon::Engine.root)

    def copy_skeleton_views
      template_paths.each do |file|
        copy_file file, file
      end
    end

    private

      def template_paths
        %w(
          app/views/mr_common/registrations/public/new.html.erb
          app/views/mr_common/registrations/success/index.html.erb
        )
      end
  end
end
