# frozen_string_literal: true

module MrCommon
  class Engine < ::Rails::Engine
    isolate_namespace MrCommon

    config.assets.paths += %w( vendor/assets/stylesheets )
    config.assets.precompile += %w( mr_common/mr_common.css mr_common/mr_common.js )

    # use customized form-builder with form-group and errors methods
    config.action_view.default_form_builder = "MrCommon::ApplicationFormBuilder"

    # dont conditionally wrap inputs and labels with an extra div
    config.action_view.field_error_proc = proc do |html_tag, _instance|
      html_tag
    end

    initializer :append_migrations do |app|
      unless app.root.to_s.match? root.to_s
        config.paths["db/migrate"].expanded.each do |expanded_path|
          app.config.paths["db/migrate"] << expanded_path
        end
      end
    end
  end
end
